cancel
Showing results for 
Search instead for 
Did you mean: 

compiler software help needed!!!

SOLVED
Go to solution
Zishan
Regular Advisor

compiler software help needed!!!

Hi ,
Please guide me that how could I able to get these 2 compiler softwares:

HP C/ANSI C Compiler (A.06.14)
HP aC++ Compiler (A.06.14)

I need these for 11g database installtion.

25 REPLIES
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

You don't need these to install Oracle. The bundled C compiler should be good enough.
You can only install A.06.14 if you have already purchased A.06.10.
In any case, A.06.14 is obsolete and A.06.25 will be out later this month.
Zishan
Regular Advisor

Re: compiler software help needed!!!

Hi,
Thanks for the answer.
-Will you let me know how I find which version of C bundle I currently have on my server ?
-Where I can found the A.06.10

Regards,
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>Will you let me know how I find which version of C bundle I currently have on my server?

/opt/ansic/bin/cc -V
/usr/ccs/bin/cc_bundled -V

As long as you have the latter, you should just ignore what Oracle has documented.

>Where I can found the A.06.10

You can't, it's obsolete.
Zishan
Regular Advisor

Re: compiler software help needed!!!

Thank Dannis,

One more question:
How could I backup my system before a patch installation?
Its mention in patch read me file (first backup ur system).
Following is my patch.
PHSS_35979: s700_800 11.23 linker + fdp cumulative patch

Regards,
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>How could I backup my system before a patch installation?

You could use ignite.
Also you might want to use the recommended patch instead: PHSS_40537
Zishan
Regular Advisor

Re: compiler software help needed!!!

Hi,
Thanks for your answer. I need to install "msv2v3check" utility in order to know that my server is capable to upgrase on 11.31. Kindly let me know how could i install this downloaded utility.
Any documentation?I cannot find on UP site.
Pls dont mind I am new on HP-UX and dont have any ux administrator.
Regards,
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

Zishan
Regular Advisor

Re: compiler software help needed!!!

Hello Dennis,

Ignite server seems complicated for me. The patch I m going to install is available with warnings and it is required for Oracle database 11g. Is it possible to install this patch and in case of any problem I can uninstall this patch ??

Pls give me advise..
Horia Chirculescu
Honored Contributor

Re: compiler software help needed!!!

You could use swremove to uninstall patch/patch bundle

But a copy with ignite is recommended.

Horia.
Best regards from Romania,
Horia.
Zishan
Regular Advisor

Re: compiler software help needed!!!

Hello,

Thanks for help.
Would you like to tell the steps how to build ignite image?

I really apprecite your corporation.

I typed "#ignite" and an ignite window is opened and i dont know what to do next.
screen shot is attached.
Regards,
Horia Chirculescu
Honored Contributor

Re: compiler software help needed!!!

>the steps how to build ignite image

... read the docs!

http://bizsupport2.austin.hp.com/bc/docs/support/SupportManual/c01942660/c01942660.pdf

Horia.
Best regards from Romania,
Horia.
Horia Chirculescu
Honored Contributor

Re: compiler software help needed!!!

And administration guide:

http://bizsupport2.austin.hp.com/bc/docs/support/SupportManual/c01942571/c01942571.pdf

Horia.
Best regards from Romania,
Horia.
Zishan
Regular Advisor

Re: compiler software help needed!!!

Hello Dennis,

# cc_bundled -V
(Bundled) cc: HP aC++/ANSI C B3910B A.05.50 [May 15 2003]

I have the above bundle install on my machine.
I am still confuse why I cannot find following or higher (I have B.11.23 U)

HP C/ANSI C Compiler (A.06.14)
HP aC++ Compiler (A.06.14)

Its necessary to buy these softwares ?

Any help would be appreciate.

Regards,
James R. Ferguson
Acclaimed Contributor

Re: compiler software help needed!!!

Hi Zishan:

> I am still confuse why I cannot find following or higher

The C and aC++ compilers are bundled into one product (B9007AA). If you formerly licensed either compiler and have a current support agreement, you can to download the current a bundle from the Software Update Manager (SUM) which offers both.

If you have never licensed either compiler, you can do so via:

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=B9007AA

An evaulation copy is also available via the above link.

Regards!

...JRF...
Zishan
Regular Advisor

Re: compiler software help needed!!!

Hi,
Thanks, This evaluation copy is effective for how long ??

Regards
James R. Ferguson
Acclaimed Contributor

Re: compiler software help needed!!!

Hi (again):

> Thanks, This evaluation copy is effective for how long ??

I believe that the evaluation period is for 60-days.

Regards!

...JRF...
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>I have the above bundle install on my machine.

(This isn't a bundle.)
It should be enough to install Oracle.

>I am still confused why I cannot find following or higher

Because you don't need them unless you are doing C or C++ development. And you would have to pay for them. Or look into using the GNU compilers.
Zishan
Regular Advisor

Re: compiler software help needed!!!

???It should be enough to install Oracle.
I need to install 11g and it is the requirment of the software.

Regards
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>The patch I'm going to install is available with warnings and it is required for Oracle database 11g. Is it possible to install this patch and in case of any problem I can uninstall this patch?

Yes you can use swremove on the patch.
The warning about a backup is just in case there is something unpredictable happening, like a power failure or crash, right when it is updating dld.so.
Zishan
Regular Advisor

Re: compiler software help needed!!!

Dennis,

pls clarify If in case I installed evaluation bundle. Is there any problem for 60 days ?

Regards
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>I need to install 11g and it is the requirement of the software.

No, the Oracle documentation isn't clear enough. It should say, if you are doing C/C++ development then you need at least the A.06.14 patches but later is also fine.

We have asked Oracle to make this clear, so we don't keep getting questions in the forums about this.
Dennis Handly
Acclaimed Contributor

Re: compiler software help needed!!!

>If in case I installed evaluation bundle. Is there any problem for 60 days?

You do NOT need this, unless you are installing Oracle Apps and there is aCC_link to solve that need.

What type of problem are you asking about?
Dennis Handly
Acclaimed Contributor
Solution

Re: compiler software help needed!!!

If you are happy with the answers you were given, please read the following about how to assign points:
http://forums.itrc.hp.com/service/forums/helptips.do?#33
Jack W. Savage II
Occasional Visitor

Re: compiler software help needed!!!

Is the aCC_link bundle available as a download?

I could order the CDs but there are sales tax implications.